import ee
from ee_plugin import Map

Map.setCenter(lon = 17.7, lat = 46.9, zoom = 11) # Balaton
# legyen WGS-84-ben (EPSG: 4326) a projekt!
terulet = Map.getBounds(asGeoJSON = True) # az ábrázolt téglalap alakú kivágat poligonként

megjelenitesi_beallitasok = {
	"bands": ["SR_B4", "SR_B3", "SR_B2"], # színcsatornák a megfelelő sorrendben
	"min": 5000,
	"max": 15000
}

legtisztabb = ee.ImageCollection("LANDSAT/LC08/C02/T1_L2")
	.select(["SR_B2", "SR_B3", "SR_B4"])
	.filterBounds(terulet)
	.filterDate("2022-09-01", "2023-06-30")
	.sort("CLOUD_COVER", True)
	.first() # behúzási hibát dob ("unexpected indent"), JavaScriptben működne

# 1. megoldás: zárójelezés
legtisztabb = (ee.ImageCollection("LANDSAT/LC08/C02/T1_L2")
	.select(["SR_B2", "SR_B3", "SR_B4"])
	.filterBounds(terulet)
	.filterDate("2022-09-01", "2023-06-30")
	.sort("CLOUD_COVER", True)
	.first())
Map.addLayer(eeObject = legtisztabb, visParams = megjelenitesi_beallitasok, name = "tiszta Landsat8")

# 2. megoldás: visszaperjel
legtisztabb = ee.ImageCollection("LANDSAT/LC08/C02/T1_L2") \
	.select(["SR_B2", "SR_B3", "SR_B4"]) \
	.filterBounds(terulet) \
	.filterDate("2022-09-01", "2023-06-30") \
	.sort("CLOUD_COVER", True) \
	.first()
Map.addLayer(eeObject = legtisztabb, visParams = megjelenitesi_beallitasok, name = "tiszta Landsat8")

