import ee
from ee_plugin import Map

Map.setCenter(lon = 20.5, lat = 48, zoom = 13) # Bükk
# legyen WGS-84-ben (EPSG: 4326) a projekt!
kozeppont = Map.getCenter()

megjelenitesi_beallitasok = {
	"bands": ["B5", "B4", "B3"]
}
legmagasabb = ee.ImageCollection("LANDSAT/LC09/C02/T1_TOA") \
	.filterDate("2022-01-01", "2022-12-31") \
	.select(["B5", "B4", "B3"]) \
	.filterBounds(kozeppont) \
	.sort("SUN_ELEVATION", False) \
	.first()
Map.addLayer(eeObject = legmagasabb, visParams = megjelenitesi_beallitasok, name = "hamisszínes Landsat9")

