import ee
from ee_plugin import Map

orszagok = ee.FeatureCollection("USDOS/LSIB/2017")
brit_szigetek_1 = (orszagok.filter(ee.Filter.Or(
	ee.Filter.eq("COUNTRY_NA", "Ireland"),
	ee.Filter.eq("COUNTRY_NA", "United Kingdom"))))
Map.addLayer(eeObject = brit_szigetek_1, visParams = {}, name = "Brit-szigetek 1")

brit_szigetek_2 = orszagok.filter(ee.Filter.inList("COUNTRY_NA", ["Ireland", "United Kingdom"]))
Map.addLayer(eeObject = brit_szigetek_2, visParams = {"color": "green"}, name = "Brit-szigetek 2")

Map.centerObject(brit_szigetek_2, 8)
teglalap = Map.getBounds(asGeoJSON = True)
Map.setZoom(7)

levalogatott = (ee.ImageCollection("LANDSAT/LC09/C02/T1_L2")
	.filter(ee.Filter.And(
		ee.Filter.bounds(teglalap),
		ee.Filter.calendarRange(start = 2021, field = "year"),
		ee.Filter.date("2021-07-01", "2023-07-01"),
		ee.Filter.rangeContains("SUN_ELEVATION", 0, 70),
		ee.Filter.lte("CLOUD_COVER", 50)
	)))
megjelenites = {"bands": ["SR_B4", "SR_B3", "SR_B2"],
	"min": 7000,
	"max": 20000}
Map.addLayer(eeObject = levalogatott.median(), visParams = megjelenites, name = "leválogatottak mediánja")

